#!/bin/zsh -e
CLIENT=(client)
SERVER=(server)
EXPORT=(/srv/test)
MOUNTPOINT=(/mnt/test/)

zparseopts -F -K \
	c:=CLIENT -client:=CLIENT \
	p:=MOUNTPOINT -mountpoint:=MOUNTPOINT \
	s:=SERVER -server:=SERVER \
	x:=EXPORT -export:=EXPORT

BIN=$HOME/bin
USER=$(whoami)
RUN_NFSTEST="run-nfstest-rplus.zsh"

#
# Prepare to test
#
$BIN/vm.zsh boot ${CLIENT[-1]} ${SERVER[-1]}
$BIN/install-scripts.zsh ${CLIENT[-1]}

ssh ${CLIENT[-1]} "sudo setup-testdirs.zsh ${SERVER[-1]} ${EXPORT[-1]} ${MOUNTPOINT[-1]} $USER"
echo

#
# Run tests
#
#
ssh -t ${CLIENT[-1]} "$RUN_NFSTEST --server ${SERVER[-1]} \
				--export ${EXPORT[-1]} \
				--mountpoint ${MOUNTPOINT[-1]} \
				--user $USER"
